<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');

include ('totales_caja.php');

$sql1=mysqli_query($con, "SELECT count(*) AS numrows from ventas_espera 
where empresa='$empresa' and apertura='$apertura' and usuario='$usu_id'");
$row= mysqli_fetch_array($sql1);
$numrows = $row['numrows'];
if ($numrows>0)
{
    echo '<div class="alert alert-danger alert-dismissable">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            <strong>No se puede cerrar caja porque hay ventas en espera!</strong> 
          </div>';
}
else 
{
    $fecha=date('Y-m-d H:i:s');
    $valor_cierre=limpiar($_POST['valor_cierre']);

    $total=limpiar($_POST['total']);
    $sql=mysqli_query($con,"UPDATE movimiento_caja Set
                        mca_final ='$fecha', 
                        mca_base ='$mca_base', 
                        mca_valor_cierre ='$valor_cierre',
                        mca_ventas ='$ventas_contado',
                        mca_credito='$ventas_credito',
                        mca_tarjeta='$ventas_targeta',
                        mca_transferencia='$ventas_transferencia',
                        mca_combinado='$ventas_combinado',
                        mca_efectivo_combinado='$combinado_efectivo',
                        mca_abonos='$total_abonos',
                        mca_otros_movimientos='$egresos',
                        mca_diferencia ='$total',
                        mca_efectivo ='$saldoencaja',   
                        mca_estado ='0'            
                        Where apertura='$apertura' and empresa='$empresa' and mca_usuario='$usu_id'") or die(mysqli_error($con)); 
    
    $sql=mysqli_query($con,"UPDATE cajas Set
    caja_estado ='0'
    Where caja_id='$cajas_caja_id' and empresa='$empresa'") or die(mysqli_error($con));  
/* 
    mca_efectivo_combinado='$combinado_efectivo',
    mca_efectivo_nota='$excedente_nota',
*/
  ?>
    <div class="alert alert-success alert-dismissable">
        <strong>Caja!</strong> cerrada correctamente.
    </div>

    <div class="modal-footer">
        <a type="button" href="inicio.php" class="btn btn-default" >NO</a>
        <a href="tirillas/cierre.php?mca_id=<?php echo $mca_id; ?>" target="_blank" class="btn btn-success"><i class="icon-print"></i> <strong>IMPRIMIR REPORTE</strong></a>
    </div>
<?php  }  ?>                                             